<div class="row">
  <div class="col-xs-12">
    <form (submit)="updatePassword()" [formGroup]="myForm">
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="email">Email</label>
            <input type="email" id="email" name="email" class="form-control" formControlName="email" required>
            <div id="emailError" class="alert alert-danger">Email Valid is required</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="password">Password</label>
            <input type="password" id="password" name="password" class="form-control" formControlName="password" required>
            <div id="passwordError" class="alert alert-danger">Password is required</div>
          </div>
        </div>
      </div>
        <div class="row">
          <div class="col-xs-12">
            <div class="form-group">
              <label for="password_confirmation">Confirm Password</label>
              <input type="password" id="password_confirmation" name="password_confirmation" class="form-control" formControlName="password_confirmation" required>
              <div id="cpasswordError" class="alert alert-danger">Confirm Password is required</div>
              <div *ngIf="!check()" class="alert alert-danger">Passwords not the same</div>
            </div>
          </div>
        </div>
        <div class="col-xs-12">
          <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid || !check()">Register</button>
        </div>
      </form>
  </div>
</div>
